Previous 1 2 Next 23 Replies Latest reply: Jun 7, 2012 8:01 AM by John Galt
susanfromwinston Level 1 Level 1 (0 points)

I have an older Powerbook running OS 10.4.11.

My linksys router died and I want to replace it with an Apple base station.

1) Which model will work with the older OS and

2) will it still work if I upgrade the software?

Thanks


Mac OS X (10.4.11)
Previous 1 2 Next